%global commit 12052a280d6ab7da1afa9269e913b5d68856e858

Name:           nodejs-mbtiles
Version:        0.7.2
Release:        1%{?dist}
Summary:        Utilities and tilelive integration for the MBTiles format

License:        BSD
URL:            https://github.com/mapbox/node-mbtiles
Source0:        https://github.com/mapbox/node-mbtiles/archive/%{commit}/node-mbtiles-%{commit}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tape) >= 3.0.0
BuildRequires:  npm(sphericalmercator)
BuildRequires:  npm(sqlite3) >= 3.0.0
BuildRequires:  npm(tiletype)

%description
%{summary}.


%prep
%setup -q -n node-mbtiles-%{commit}
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -pr lib/schema.sql %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/%{nodejs_sitelib}/mbtiles
cp -pr package.json %{buildroot}/%{nodejs_sitelib}/mbtiles
mkdir -p %{buildroot}/%{nodejs_sitelib}/mbtiles/lib
cp -pr lib/*.js %{buildroot}/%{nodejs_sitelib}/mbtiles/lib
ln -s %{_datadir}/%{name}/schema.sql  %{buildroot}/%{nodejs_sitelib}/mbtiles/lib
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/tape/bin/tape test/*.js


%files
%doc LICENSE README.md CHANGELOG.md
%{nodejs_sitelib}/mbtiles
%{_datadir}/%{name}


%changelog
* Wed Nov 12 2014 Tom Hughes <tom@compton.nu> - 0.7.2-1
- Update to 0.7.2 upstream release

* Sat Nov  1 2014 Tom Hughes <tom@compton.nu> - 0.7.1-1
- Update to 0.7.1 upstream release

* Wed Oct  1 2014 Tom Hughes <tom@compton.nu> - 0.6.1-1
- Update to 0.6.1 upstream release

* Tue Sep 30 2014 Tom Hughes <tom@compton.nu> - 0.6.0-1
- Update to 0.6.0 upstream release
- Switch to using github as source so we get tests

* Mon Sep 22 2014 Tom Hughes <tom@compton.nu> - 0.5.0-2
- Update sqlite3 dependency

* Tue Aug 26 2014 Tom Hughes <tom@compton.nu> - 0.5.0-1
- Update to 0.5.0 upstream release

* Mon Jun 30 2014 Tom Hughes <tom@compton.nu> - 0.4.3-1
- Update to 0.4.3 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 22 2014 Tom Hughes <tom@compton.nu> - 0.4.2-1
- Update to 0.4.2 upstream release

* Wed Jan 15 2014 Tom Hughes <tom@compton.nu> - 0.4.1-2
- Rebuild against nodejs-sqlite3 2.2.0

* Sat Dec 14 2013 Tom Hughes <tom@compton.nu> - 0.4.1-1
- Update to 0.4.1 upstream release

* Fri Dec  6 2013 Tom Hughes <tom@compton.nu> - 0.4.0-1
- Update to 0.4.0 upstream release

* Sun Jul 28 2013 Tom Hughes <tom@compton.nu> - 0.3.2-1
- Update to 0.3.2 upstream release

* Mon Jul 15 2013 Tom Hughes <tom@compton.nu> - 0.3.1-1
- Update to 0.3.1 upstream release
- Update to latest nodejs packaging standards
- Switch to running tests using mocha

* Tue Apr 16 2013 Tom Hughes <tom@compton.nu> - 0.2.8-3
- Rebuild against nodejs-optimist 0.4.0

* Tue Mar 19 2013 Tom Hughes <tom@compton.nu> - 0.2.8-2
- Avoid deleting schema.sql in %%install
- Add manual pages

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.2.8-1
- Initial build of 0.2.8
